import pytest
from django.urls import reverse


@pytest.mark.django_db()
def test_edit_program(user, client, program):
    client.force_login(user)
    response = client.get(reverse("program-detail", kwargs={"slug": program.slug}))
    assert response.status_code == 200
    assert "🖉 ".encode() not in response.content
    user.groups.add(program.editors)
    response = client.get(reverse("program-detail", kwargs={"slug": program.slug}))
    assert "🖉 ".encode() in response.content
    assert b"foobar" not in response.content
    response = client.post(reverse("program-edit", kwargs={"pk": program.pk}), {"content": "foobar"})
    response = client.get(reverse("program-detail", kwargs={"slug": program.slug}))
    assert b"foobar" in response.content
